Subject: Re: t5541: Bad file descriptor

From: Johannes Sixt <[email-masked]>
Date: Thu, 05 May 2011 22:42:23 +0200

Am 05.05.2011 08:18, schrieb Jeff King:
> OK, embarrassing. 09c9957 completely breaks smart http pushing. My
> testing of Johannes' patch was completely focused on the error case, and
> I didn't have a single test for the non-error case. And on top of that,
> we _have_ nice tests in the test suite to catch this, but obviously
> neither I, nor Johannes, nor Junio were running them (because they need
> apache installed and GIT_TEST_HTTPD set).
> 
> Ugh.
> 
> This patch on top of 09c9957 should fix it.

Very embarassing! Thanks for fixing up my mess. The patch looks good.

-- Hannes